Loading...
Searching...
No Matches
CxxTest::TestListener Class Reference

`#include <TestListener.h>`

## Public Member Functions

| TestListener ()
virtual | ~TestListener ()
virtual void | enterWorld (const WorldDescription &)
virtual void | enterSuite (const SuiteDescription &)
virtual void | enterTest (const TestDescription &)
virtual void | trace (const char *, unsigned, const char *)
virtual void | warning (const char *, unsigned, const char *)
virtual void | failedTest (const char *, unsigned, const char *)
virtual void | failedAssert (const char *, unsigned, const char *)
virtual void | failedAssertEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertSameData (const char *, unsigned, const char *, const char *, const char *, const void *, const void *, unsigned)
virtual void | failedAssertDelta (const char *, unsigned, const char *, const char *, const char *, const char *, const char *, const char *)
virtual void | failedAssertDiffers (const char *, unsigned, const char *, const char *, const char *)
virtual void | failedAssertLessThan (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertLessThanEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertPredicate (const char *, unsigned, const char *, const char *, const char *)
virtual void | failedAssertRelation (const char *, unsigned, const char *, const char *, const char *, const char *, const char *)
virtual void | failedAssertThrows (const char *, unsigned, const char *, const char *, bool)
virtual void | failedAssertThrowsNot (const char *, unsigned, const char *)
virtual void | leaveTest (const TestDescription &)
virtual void | leaveSuite (const SuiteDescription &)
virtual void | leaveWorld (const WorldDescription &)

## Detailed Description

Definition at line 17 of file TestListener.h.

## Constructor & Destructor Documentation

## TestListener()

CxxTest::TestListener::TestListener | ( |  | ) |

inline

Definition at line 20 of file TestListener.h.

{}

## ~TestListener()

virtual CxxTest::TestListener::~TestListener | ( |  | ) |

inline virtual

Definition at line 21 of file TestListener.h.

{}

## Member Function Documentation

## enterSuite()

virtual void CxxTest::TestListener::enterSuite | ( | const SuiteDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 24 of file TestListener.h.

{}

## enterTest()

virtual void CxxTest::TestListener::enterTest | ( | const TestDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 25 of file TestListener.h.

{}

## enterWorld()

virtual void CxxTest::TestListener::enterWorld | ( | const WorldDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::QtGui, CxxTest::TeeListener, CxxTest::TestTracker, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 23 of file TestListener.h.

{}

## failedAssert()

virtual void CxxTest::TestListener::failedAssert | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 32 of file TestListener.h.

{}

## failedAssertDelta()

virtual void CxxTest::TestListener::failedAssertDelta | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 41 of file TestListener.h.

{}

## failedAssertDiffers()

virtual void CxxTest::TestListener::failedAssertDiffers | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 45 of file TestListener.h.

{}

## failedAssertEquals()

virtual void CxxTest::TestListener::failedAssertEquals | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 34 of file TestListener.h.

{}

## failedAssertLessThan()

virtual void CxxTest::TestListener::failedAssertLessThan | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 48 of file TestListener.h.

{}

## failedAssertLessThanEquals()

virtual void CxxTest::TestListener::failedAssertLessThanEquals | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 51 of file TestListener.h.

{}

## failedAssertPredicate()

virtual void CxxTest::TestListener::failedAssertPredicate | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 54 of file TestListener.h.

{}

## failedAssertRelation()

virtual void CxxTest::TestListener::failedAssertRelation | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 56 of file TestListener.h.

{}

## failedAssertSameData()

virtual void CxxTest::TestListener::failedAssertSameData | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const void * | ,
|  | const void * | ,
|  | unsigned | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 37 of file TestListener.h.

{}

## failedAssertThrows()

virtual void CxxTest::TestListener::failedAssertThrows | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | bool | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 59 of file TestListener.h.

{}

## failedAssertThrowsNot()

virtual void CxxTest::TestListener::failedAssertThrowsNot | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 62 of file TestListener.h.

{}

## failedTest()

virtual void CxxTest::TestListener::failedTest | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 30 of file TestListener.h.

{}

## leaveSuite()

virtual void CxxTest::TestListener::leaveSuite | ( | const SuiteDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 65 of file TestListener.h.

{}

## leaveTest()

virtual void CxxTest::TestListener::leaveTest | ( | const TestDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 64 of file TestListener.h.

{}

## leaveWorld()

virtual void CxxTest::TestListener::leaveWorld | ( | const WorldDescription & |  | ) |

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 66 of file TestListener.h.

{}

## trace()

virtual void CxxTest::TestListener::trace | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 26 of file TestListener.h.

{}

## warning()

virtual void CxxTest::TestListener::warning | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::ErrorFormatter, CxxTest::GuiListener, CxxTest::TeeListener, and CxxTest::TestTracker.

Definition at line 28 of file TestListener.h.

{}

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/TestListener.h